# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`mate`](#mate): Installs and configures a minimal MATE environment

#### Private Classes

* `mate::config`: Set MATE configuration items

## Classes

### <a name="mate"></a>`mate`

Installs and configures a minimal MATE environment

#### Parameters

The following parameters are available in the `mate` class:

* [`configure`](#-mate--configure)
* [`dconf_hash`](#-mate--dconf_hash)
* [`dconf_profile_hierarchy`](#-mate--dconf_profile_hierarchy)
* [`packages`](#-mate--packages)
* [`package_ensure`](#-mate--package_ensure)

##### <a name="-mate--configure"></a>`configure`

Data type: `Boolean`

Use the module to configure MATE

@see data/common.yaml

##### <a name="-mate--dconf_hash"></a>`dconf_hash`

Data type: `Hash[String[1], Dconf::SettingsHash]`

Settings specific to dconf and MATE

@see data/common.yaml
@see https://wiki.gnome.org/Projects/dconf/SystemAdministrators

##### <a name="-mate--dconf_profile_hierarchy"></a>`dconf_profile_hierarchy`

Data type: `Dconf::DBSettings`

Dconf db priority

@see https://help.gnome.org/admin/system-admin-guide/stable/dconf.html.en
@see https://wiki.gnome.org/Projects/dconf/SystemAdministrators

##### <a name="-mate--packages"></a>`packages`

Data type: `Hash[String[1], Optional[Hash]]`

A Hash of packages to be installed

* NOTE: Setting this will *override* the default package list
* The ensure value can be set in the hash of each package, like the example
  below:

@example Override packages
  { 'gedit' => { 'ensure' => '3.14.3' } }

@see data/common.yaml

##### <a name="-mate--package_ensure"></a>`package_ensure`

Data type: `Simplib::PackageEnsure`

The SIMP global catalyst to set the default `ensure` settings for packages
managed with this module. Will be overwitten by $packages.

Default value: `simplib::lookup('simp_options::package_ensure', { 'default_value' => 'installed' })`

